Apr 5, 2017

Razer Peripherals Configuration GUI Polychromatic 0.3.8 Released With Overhauled Tray / AppIndicator

Polychromatic, a GUI and tray applet for configuring Razer peripherals on Linux, was updated to version 0.3.8 today, bringing a completely overhauled tray / AppIndicator applet which only shows options relevant to your device(s), along with other changes.

Polychromatic Razer configuration tool

Polychromatic uses Razer Drivers under the hood, which supports quite a few Razer peripherals, including:
  • keyboards: BlackWidow Chroma and Chroma v2, BlackWidow Ultimate 2013 and 2016, BlackWidow Classic, BlackWidow X Ultimate, Ornata, DeathStalker Chroma;
  • mice and mousemats: DeathAdder Chroma, DeathAdder Elite, Firefly, Mamba, Mamba Tournament Edition, Naga Hex and Hex v2, Razer Ouroboros 2012;
  • other devices: Blade Pro, Blade Stealth, Kraken 7.1 Chroma and v2, Razer Core.

For a complete list of supported Razer peripherals, check out THIS page.

Using Polychromatic, you can change effects, brightness and color modes, and create application profiles, though this doesn't seem to be supported for mice - or at least I don't have this option for my Razer Ouroboros mouse.

From the Polychromatic tray applet, you can quickly set effects, brightness and modes, change application profiles and DPI on the fly, and more.

Polychromatic tray applet running in Linux Mint 18.1 (Cinnamon)

Changes in Polychromatic 0.3.8 include:
  • overhauled tray applet / AppIndicator:
    • only show options relevant to the selected device;
    • you can now use it to change the mouse DPI;
    • mproved support for devices that have separate logo/scroll lighting options;
    • displays the current status for effects, brightness, DPI and color;
    • displays saved colors and allows switching between them;
    • a new option was added which allows restarting the Razer Drivers daemon;
  • controller:
    • improved selection for changing icons;
    • macros, game modes and profiles only show if the device supports them;
    • ultimate (non-RGB) keyboards present shades of green;
    • UI improvements and various under the hood fixes.

Two features were temporarily dropped with Polychromatic 0.3.8. Startup Settings is no longer available because it was unreliable, though this should come back with the next major release. The second feature that was temporarily dropped is the daemon options, because the latest daemon version doesn't read them.

Furthermore, with this release, there are Polychromatic packages available for Fedora and openSUSE.

Note that the new option to change the mouse DPI from the tray applet doesn't seem to have an option to configure the DPI values. For my Razer Ouroboros mouse, it lists 5 scan resolutions, which I suspect are what the mouse provides by default.

Also, in my test under Ubuntu 17.04, when changing the DPI from the Polychromatic tray applet, the current DPI value it displays is "0" instead of the actual value. This didn't occur in my test under Linux Mint 18.1 though.

For an alternative to Polychromatic for mice only, that doesn't use Razer Drivers under the hood (useful if Razer Drivers doesn't support your device or if you're having issues with it), you may want to take a look at RazerCfg.


Install Polychromatic (and Razer Drivers) in Ubuntu or Linux Mint


Before installing Polychromatic, you'll need to install Razer Drivers from its official PPA. Note that to be able to install Razer Drivers, you'll need to make sure the "universe" repository is enabled (via Software & Updates)!

To add the PPA and install Razer Drivers in Ubuntu 17.04, 16.10 or 16.04 / Linux Mint 18, use the following commands:
sudo add-apt-repository ppa:terrz/razerutils
sudo apt update
sudo apt install python3-razer razer-kernel-modules-dkms razer-daemon razer-doc
sudo modprobe razerkbd

Note: the Razer Drivers PPA provides packages for Ubuntu 14.04 / Linux Mint 17, but Polychromatic doesn't work with this Ubuntu version because it depends on webkit2gtk, which is not available for Ubuntu 14.04.

Now you can install Polychromatic, by using its official PPA. To add the PPA and install it in Ubuntu 17.04, 16.10 or 14.04 / Linux Mint 18, use the following commands:
sudo add-apt-repository ppa:lah7/polychromatic
sudo apt update
sudo apt install polychromatic
If you don't want to add the Polychromatic PPA, you can download the deb from its GitHub releases page.

The Polychromatic Tray Applet and Controller are available as separate items in the menu / Unity Dash, so you'll have to launch them separately.

If your Razer device is listed in the supported peripherals list but is not detected by Polychromatic, try restarting the daemon, either from Polychromatic Controller (on the Daemon tab > Daemon Service > Restart) or the tray (Advanced > Restart Daemon) and / or try restarting your computer.

For installing Razer Drivers and Polychromatic in other Linux distributions, see the following pages:

Report any bugs you may find on GitHub: Polychromatic | Razer Drivers.


via Web Upd8 - Ubuntu / Linux blog http://ift.tt/2naBnoZ